package com.bonus.hn.bearing.capacity.backstage.newpro.service;

import com.bonus.hn.bearing.capacity.backstage.newpro.entity.HistoryProBean;
import com.bonus.hn.bearing.capacity.backstage.newpro.entity.NewProBean;
import com.bonus.hn.bearing.capacity.backstage.newpro.entity.ReleaseBean;
import com.bonus.hn.bearing.capacity.backstage.newpro.entity.ReleaseViewBean;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.apache.ibatis.annotations.Mapper;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.text.ParseException;
import java.util.List;


/**
 * APP登录记录表(AppLoginAudit)表数据库访问层
 *
 * @author makejava
 * @since 2022-12-12 13:57:37
 */
@Mapper
public interface NewProService {
    List<NewProBean> getBasicDataList(NewProBean o);

    int addInfo(NewProBean bean);

    NewProBean getListById(NewProBean o);

    int updateInfo(NewProBean bean);

    int delById(NewProBean bean);

    List<ReleaseBean> getReleaseDataList(ReleaseBean o);

    List<ReleaseViewBean> getTeamTable(ReleaseViewBean o);

    List<ReleaseViewBean> getSubTeamTable(ReleaseViewBean o);

    List<ReleaseViewBean> getOwnTeamTable(ReleaseViewBean o);

    List<HistoryProBean> getHistoryProList(HistoryProBean o);

    NewProBean getHistoryListById(NewProBean o) throws ParseException;

    int export(NewProBean bean, HttpServletResponse response, HttpServletRequest request) throws JsonProcessingException;

    int exportHistoryPro(HistoryProBean bean, HttpServletResponse response, HttpServletRequest request);
}

